=== debian/changelog ===
elfhash (0~20150806-0+twolife1) unstable; urgency=low

  * Initial release.

 -- Sébastien Noel <sebastien@twolife.be>  Thu, 09 Nov 2023 18:34:44 +0100
