=== debian/control ===
Source: elfhash
Section: utils
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.6.2
Vcs-Browser: https://github.com/cjacker/elfhash
Vcs-Git: https://github.com/cjacker/elfhash.git

Package: elfhash
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: manipulate hash table of ELF files
 elfhash is a simple utility for manipulating hash table of existing ELF
 executables and libraries. In particular, it can rename symbols
 to new name as same length.
