=== debian/watch ===
version=4 
opts="mode=git,pgpmode=none,repack,pretty=0~%cd,compression=xz" \
https://github.com/cjacker/elfhash.git HEAD
